<?



if($_GET['mode']=='go'){
$total=$_POST['total'];
$text=$_POST['text'];
$color=mysql_real_escape_string($_POST['color']);
$sum=$total*1;
if($ku['zkl']>$sum){
$vr=time();
$vr+=86400*$total;
$vrem=24*$total;
$timer=$vr;
mysql_query("UPDATE `kolhoz_user` SET `zkl` = '".($ku['zkl']-$sum)."' WHERE `id` = '$ku[id]';");
mysql_query("INSERT INTO `leaders` (`user`, `time`, `bublik`, `color`, `text`) values('$ku[id]', '".intval($timer)."', '".intval($total)."', '".$color."', '".mysql_real_escape_string($text)."')",$db);
echo '<div class="block"><center>Активировано на <b>'.$vrem.'</b> часов</center></div>';
$_SESSION['vrm']=1;
header("Location:?glav");
}
else
{
echo '<div class="block"><center>У Вас нет ключей!</center></div>';
}}



if($ku){
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `leaders` WHERE `user` = '$ku[id]'"), 0)==0)
{
echo '<div class="event"><h1>Лидеры дня</h1></div>';
echo "<div class='block'>";
echo '<b>Цена</b>: <b>1</b>';
echo "<img width='16' height='16' src='img/icons/zkl.png' alt='o'> (за сутки)</br>";
echo "<div class='hr'></div>";
echo'<form action="?zakaz&mode=go" method="post">';
echo'Кол-во cуток: ';
echo'<select name="total" class="form">';
echo'<option value="1">1</option>';
echo'<option value="2">2</option>';
echo'<option value="3">3</option>';
echo'<option value="4">4</option>';
echo'<option value="5">5</option>';
echo'</select>';
echo'<br/>';
echo'Комментарий (300 сим):<br/>';
echo"<input class='wide' rows='2' type='text' name='text' value='' maxlength='300' />";

echo "<br/>Цвет приветствия:<br/>";
echo '<select name="color">
<option value="">Стандартный</option>
<option value="red" style="background-color: red; color: white;">Красный</option>
<option value="darkred" style="background-color: darkred; color: white;">Тёмно-красный</option>
<option value="maroon" style="background-color: maroon; color: white;">Тёмно-бордовый</option>
<option value="brown" style="background-color: brown; color: white;">Коричневый</option>
<option value="pink" style="background-color: pink; color: white;">Розовый</option>
<option value="green" style="background-color: green; color: white;">Зеленый</option>
<option value="lime" style="background-color: lime; color: white;">Лайм</option>
<option value="lightgreen" style="background-color: lightgreen; color: white;">Светло-зеленый</option>
<option value="olive" style="background-color: olive; color: white;">Оливковый</option>
<option value="#669999" style="background-color: #669999; color: white;">Морская волна</option>
<option value="aquamarine" style="background-color: aquamarine; color: white;">Аквамарин</option>
<option value="blue" style="background-color: blue; color: white;">Синий</option>
<option value="navy" style="background-color: navy; color: white;">Тёмно-синий</option>
<option value="deepskyblue" style="background-color: deepskyblue; color: white;">Небесно-голубой</option>
<option value="blueviolet" style="background-color: blueviolet; color: white;">Фиолетовый</option>
<option value="purple" style="background-color: purple; color: white;">Пурпурный</option>
<option value="indigo" style="background-color: indigo; color: white;">Индиго</option>
<option value="yellow" style="background-color: yellow; color: black;">Жёлтый</option>
<option value="orange" style="background-color: orange; color: black;">Оранжевый</option>
<option value="goldenrod" style="background-color: goldenrod; color: black;">Золотой</option>
<option value="gray" style="background-color: gray; color: black;">Темно-серый</option>
<option value="#CCCCCC" style="background-color: #CCCCCC; color: black;">Светло-серый</option>
<option value="silver" style="background-color: silver; color: black;">Серебряный</option>
<option value="black" style="background-color: black; color: white;">Чёрный</option>
</select><br />';

echo'<input type="submit" name="submit" value="Активировать" class="form"/>';
echo'</form>';
echo "</div>";

}}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `leaders` WHERE `user` = '$ku[id]'"), 0)>0)
{
echo '<div class="event"><h1>Лидеры дня</h1></div>';
echo "<div class='block'>Вы уже активировали данную услугу!</div>";
}





include_once 'inc/foot.php';
?>